WhatsAble

Get Templates

Retrieve a list of all templates associated with your account

This endpoint does not work for an account on the current Whatsable app. List your templates with API v1: List templates (API v1)

GET https://api.insightssystem.com/api:AFRA_QCy/get_templates

Authorizations

Authorizationstringrequired

Bearer authentication header of the form Bearer <token>. Your WhatsAble API token

Response

200: List of templates

responseobject[]
Show properties
idinteger

The unique identifier for the template

user_idstring

UUID of the user who owns the template

namestring

Descriptive name of the template

categorystring

Category of the template (e.g., MARKETING, UTILITY)

typestring

The type of template (e.g., text)

languagestring

Language code of the template (e.g., en, en_US)

statusstring

Approval status of the template (e.g., APPROVED, REJECTED)

variable_countsinteger

Number of variable placeholders in the template

template_formatestring

Format string showing variable placement (e.g., [b:7])

template_idstring

UUID of the template

Errors

  • 401: Unauthorized - Invalid or missing API key
  • 403: Forbidden - Account does not have access to templates
  • 500: Server Error
cURL
curl -X GET \
  'https://api.insightssystem.com/api:AFRA_QCy/get_templates' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer YOUR_API_KEY'